Problem nach Update von 4.0.4 auf 4.1 [Gelöst]

  • 0 x
    79 Beiträge
    0 Hilfreiche Beiträge
    10. 03. 2007, 15:32

    Hallo,

    ich habe ein System mit XAMPP und XAML-Komplettpaket incl. T3 4.0.4 aufgesetzt. Installation klappt problemlos und alles funktioniert.

    Habe dann das Update auf 4.1 wie beschrieben unter "http://www.infolagret.se/index.php?id=598" durchgeführt und den Update-Wizard ausgeführt. Danach scheint auch alles zu funktionieren, bis auf den RTE. Dort erscheint immer die Meldung

    "Der Editor wird geladen. Bitte warten...",

    aber leider tut sich nix :-(. Hat jemand nen Tip, woran es liegen könnte?

    Danke.

    El

    PS: Habe den Debug-Modus aktiviert und erhalte folgende Meldung:
    "ERROR [HTMLArea::registerPlugin]: Can't register undefined plugin."


  • 1
  • 0 x
    79 Beiträge
    0 Hilfreiche Beiträge
    10. 03. 2007, 17:03

    Habs rausgefunden, nun funktionierts:

    im Extension Manager unter HTMLAREA und der Rubrik Backup/Delete folgendes ausgeführt:

    Update extension EM_CONF file (in the "System" location "typo3/sysext/rtehtmlarea/")!

    Vlt. hilfts mal wem anders
    Greets

    El

  • Skar Skar
    T3PO
    0 x
    16 Beiträge
    0 Hilfreiche Beiträge
    14. 03. 2007, 08:47

    Ich habe das gleiche Problem bei mir gings leider nicht auf dem oben beschriebenen Weg weg.

    Hat einer noch eine IDee?

  • tomila tomila
    Jedi-Ritter
    0 x
    129 Beiträge
    0 Hilfreiche Beiträge
    14. 03. 2007, 08:52

    Moin,

    mit welcher Version arbeitest du?

    Falls es nicht 1.5.1dev ist kannst du folgendes mal versuchen.

    Im Extension Manager den RTE deinstallieren.
    Im Ordner typo3conf den entsprechenden Ordner löschen
    Im Extension Manager den RTE in der o.g. Version installieren

    viele Grüße
    tomila

  • Skar Skar
    T3PO
    0 x
    16 Beiträge
    0 Hilfreiche Beiträge
    14. 03. 2007, 08:57

    Habsch gemacht und geht 8-)
    Nach meinem Umzug ist mir gar nicht aufgefallen, dass es auf dem Server auch die Globale extension gab, welche wohl aktuell gehalten wird.

    Habe also einfach die local deinstalliert und gelöscht. Und die globale
    1.5.1dev geladen. --> ERFOLG 8-)

  • 0 x
    66 Beiträge
    0 Hilfreiche Beiträge
    17. 03. 2007, 16:27

    Also Leidensgenossen beim Update von 4.0 auf 4.1

    hier meine leidvoll erarbeitete kleine Checkliste für den Update.

    1. Alte Ordner (typo3, t3lib, misc) umbenennen / sichern / löschen
    2. Neue Ordner aufspielen
    3. Im Backend einloggen
    4. In typo3_conf eine Datei ENABLE_INSTALL_TOOL anlegen
    5. Im Install-Tool im Update Wizard die Anpassungen vornehmen
    6. Im Install-Tool im Database Analyser ein Compare - Update ausführen
    7. Im Bereich DB-Überprüfung die DB-Indizes prüfen/aktualisieren.
    8. Den bisherigen RTE im Install-Tool deinstallieren und löschen.
    9. Den neuen RTE 1.5.1 (als GLOBAL mitgeliefert) installieren.
    10. Die Datei ENABLE_INSTALL_TOOL löschen.

    Die Checkliste könnt ihr in weiteren Posts gerne erweitern wenn noch was fehlt. Ich hoffe ich muss das nicht mehr allzu häufig tun... jetzt mal weiter testen.

  • chrisch chrisch
    R2-D2
    0 x
    65 Beiträge
    0 Hilfreiche Beiträge
    08. 06. 2007, 13:11

    hallo,

    stehe seit 2 tagen vor dem selben oben beschriebenen problem und versuche seither alle möglichkeiten unendlich oft durchzuspielen (in jeder nur denkbaren variante) - leider ohne erfolg!
    habe ein typo3-update von 4.0.2 auf 4.1.1 gemacht und seither funktioniert mein rte nicht mehr:

    Der Editor wird geladen. Bitte warten...

    weiter tut sich nix mehr!
    und im IE-fenster erscheint unten ein gelbes rufezeichen (fehler)!

    folgende fehlermeldung steht unter dem editor:

    ERROR [HTMLArea::registerPlugin]: Can't register undefined plugin.

    habe schon 100 varianten durchprobiert und bin kurz vor der verzweiflung - vielleicht schon etwas weiter!

    bin leider kein profi, wenn es um solche fehlermeldungen geht!

    hat jemand von euch eine idee?

    danke im voraus für eure hilfe!
    lg chrisch

    [b]UPDATE[/b]: nun habe ich noch eine anleitung für den firefox gefunden und dort habe nun die extension KOMPLETT entfernt über das backend.
    habe die version 4.1.1 entfernt und stattdessen habe ich nun die version 1.5.2 im extension manager. und diese funktioniert - zwar noch noch nicht so wie ich sie haben möchte, aber sie funktioniert!

    liebe grüße
    chrisch

  • alkusa alkusa
    R2-D2
    0 x
    64 Beiträge
    0 Hilfreiche Beiträge
    10. 07. 2007, 08:18

    [quote="christophrunkel"]
    Also Leidensgenossen beim Update von 4.0 auf 4.1

    hier meine leidvoll erarbeitete kleine Checkliste für den Update.

    1. Alte Ordner (typo3, t3lib, misc) umbenennen / sichern / löschen
    2. Neue Ordner aufspielen
    3. Im Backend einloggen
    4. In typo3_conf eine Datei ENABLE_INSTALL_TOOL anlegen
    5. Im Install-Tool im Update Wizard die Anpassungen vornehmen
    6. Im Install-Tool im Database Analyser ein Compare - Update ausführen
    7. Im Bereich DB-Überprüfung die DB-Indizes prüfen/aktualisieren.
    8. Den bisherigen RTE im Install-Tool deinstallieren und löschen.
    9. Den neuen RTE 1.5.1 (als GLOBAL mitgeliefert) installieren.
    10. Die Datei ENABLE_INSTALL_TOOL löschen.

    Die Checkliste könnt ihr in weiteren Posts gerne erweitern wenn noch was fehlt. Ich hoffe ich muss das nicht mehr allzu häufig tun... jetzt mal weiter testen.
    [/quote]

    Vielen Dank für diese Checkliste!! Sie hat mir das "Leben gerettet" o.O

    Dank dieser Checkliste brachte ich nach einem Update von Version 3.8 auf 4.1.1 den RTE wieder zum laufen.

  • 1